﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Reflection;

namespace MockASocket
{
	class Program
	{
		static void Main(string[] args)
		{
			if (args.Length != 1)
			{
				Console.WriteLine("Usage: MockASocket.exe Real|Test");
				return;
			}
			if (args[0] == "Real")
			{
				DateTime start = DateTime.Now;
				System.Threading.Thread.Sleep(1000);
				ConnectToRealFTPServer();
				DateTime end = DateTime.Now;
				Console.WriteLine("Time: " + (end - start).TotalSeconds + " seconds");
			}
			else
			{
				NUnit.ConsoleRunner.Runner.Main(new string[]
				   {
					  Assembly.GetExecutingAssembly().Location, 
				   });
			}
		}

		/// <summary>
		/// Connects to a real FTP server using FTPConnection.
		/// </summary>
		static void ConnectToRealFTPServer()
		{
			try
			{
				FTPConnection ftp = new FTPConnection("ftp.gwdg.de", "anonymous", "password");
				Console.WriteLine("Connected to Server.");
				Console.WriteLine();
				ftp.Login();
				Console.WriteLine("Login successful.");
				Console.WriteLine();
				ftp.Close();
				Console.WriteLine("Logout successful.");
				Console.WriteLine();
			}
			catch (Exception e)
			{
				Console.WriteLine("Error: " + e.Message);
			}
		}

	}
}
